Bug 1787299 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gfs2-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Price
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 09:39 UTC by jibecfed
Modified: 2020-09-06 07:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-27 13:23:08 UTC
Type: Bug


Attachments (Terms of Use)

Description jibecfed 2020-01-02 09:39:44 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:
* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:
* For github and gitlab hosted projects, Weblate open pull request. For other git hosting, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Ben Cotton 2020-02-11 17:38:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 jibecfed 2020-08-27 07:17:55 UTC
Be carefull, Zanata will be removed in a few weeks now: https://bugzilla.redhat.com/show_bug.cgi?id=1854445

Comment 3 Andrew Price 2020-08-27 13:23:08 UTC
I don't recall why gfs2-utils was included in the Fedora group of translation projects, but there are some fundamental issues that need to be addressed with the upstream project before it can be properly translated. In fact it was premature for a translation project to be created for it at all, so I intend to let the translation project get removed with Zanata, and we'll figure out the best solution for the upstream project once it is in a better shape. We've never actually shipped translations (due to the aforementioned issues) so this will not carry any impact.

Comment 4 jibecfed 2020-09-06 07:34:55 UTC
I understand, thanks for your feedback Andrew.
please open a request here if upstream wants to join: https://pagure.io/fedora-l10n/tickets


Note You need to log in before you can comment on or make changes to this bug.